miércoles, 29 de junio de 2016

Múltiples vulnerabilidades críticas en productos Symantec y Norton

Se han anunciado un total de siete vulnerabilidades que afectan a múltiples productos de Symantec y Norton, muchas de ellas podrían permitir a un atacante tomar el control de los sistemas afectados. La firma ha confirmado otras 12 vulnerabilidades de diversa índole en Symantec Endpoint Protection Manager.

Una vez más salen a la luz vulnerabilidades reportadas por Project Zero de Google. En esta ocasión son los productos de Symantec y Norton los afectados por hasta siete problemas considerados críticos que podrían permitir la ejecución remota de código. Tavis Ormandy, el conocido investigador de Google, ha confirmado que no requieren ninguna interacción del usuario, afectan a la configuración por defecto, y el software se ejecuta en los niveles más altos posibles de privilegios. En ciertos casos en Windows, el código vulnerable incluso se carga en el núcleo.

Como Symantec utiliza el mismo motor en toda su gama de productos, prácticamente la totalidad de antivirus de Symantec y Norton se ven afectados por las vulnerabilidades, reportadas por Google.

Las vulnerabilidades residen en el tratamiento de archivos contenedores específicamente construidos por el motor Decomposer de Symantec, que podría dar lugar a fallos de corrupción de memoria, desbordamientos de entero o desbordamientos de búfer.


"¡Symantec ejecuta sus descompresores en el kernel!"
("Symantec runs their unpackers in the Kernel!")

Un atacante podría lograr la ejecución de código arbitrario mediante el envío de un archivo malicioso al usuario afectado.

Symantec ha confirmado las siguientes vulnerabilidades y CVEs:

  • CVE-2016-2207: Violación de acceso a memoria en la descompresión de RAR
  • CVE-2016-2209: Desbordamiento de buffer Dec2SS
  • CVE-2016-2210: Desbordamiento de buffer Dec2LHA
  • CVE-2016-2211: Corrupción de memoria al descomprimir archivos CAB
  • CVE-2016-3644: Corrupción de memoria por modificación de mensaje MIME
  • CVE-2016-3645: Desbordamiento de entero en archives TNEF
  • CVE-2016-3646: Violación de acceso a memoria en la descompresión de ZIP

No es la primera vez que Tavis Ormandy centra sus descubrimientos en productos de seguridad, incluyendo Kaspersky, FireEye, ESET o Sophos, incluso con problemas similares en descompresores.

El pasado septiembre, el investigador también avisó de fuertes evidencias de la existencia de un mercado negro muy activo en vulnerabilidades en productos de seguridad. Por esta razón consideraba que los fabricantes de productos de seguridad tienen la responsabilidad de mantener los más altos estándares de desarrollo seguro para minimizar el posible daño potencial causado por su software.

Los productos Symantec afectados por estos problemas son:

  • Advanced Threat Protection (ATP)
  • Symantec Data Center Server (SDCS:SA) 6.6 MP1 y 6.5 MP1
  • Symantec Critical System Protection (SCSP) 5.2.9 MP6
  • Symantec Embedded Systems Critical System Protection (SES:CSP) 1.0 MP5 y 6.5.0 MP1
  • Symantec Web Security .Cloud
  • Email Security Server .Cloud (ESS)
  • Symantec Web Gateway
  • Symantec Endpoint Protection (SEP) 12.1.6 MP4 y anteriores
  • Symantec Endpoint Protection para Mac (SEP for Mac) 12.1.6 MP4 y anteriores
  • Symantec Endpoint Protection para Linux (SEP for Linux) 12.1.6 MP4 y anteriores
  • Symantec Protection Engine (SPE) 7.0.5 y anteriores, 7.5.4 y anteriores y 7.8.0
  • Symantec Protection para SharePoint Servers (SPSS) 6.03 a 6.05 y 6.0.6 y anteriores
  • Symantec Mail Security para Microsoft Exchange (SMSMSE) 7.0.4 y anteriores y 7.5.4 y anteriores
  • Symantec Mail Security para Domino (SMSDOM) 8.0.9 y anteriores y 8.1.3 y anteriores
  • CSAPI 10.0.4 y anteriores
  • Symantec Message Gateway (SMG) 10.6.1-3 y anteriores
  • Symantec Message Gateway for Service Providers (SMG-SP) 10.6 y 10.5
Productos Norton afectados:

  • Norton Product Family (versiones anteriores a NGC 22.7)
  • Norton AntiVirus (versiones anteriores a NGC 22.7)
  • Norton Security (versiones anteriores a NGC 22.7)
  • Norton Security with Backup (versiones anteriores a NGC 22.7)
  • Norton Internet Security (versiones anteriores a NGC 22.7)
  • Norton 360 (versiones anteriores a NGC 22.7)
  • Norton Security for Mac (anteriores a 13.0.2)
  • Norton Power Eraser (NPE) (anteriores a 5.1)
  • Norton Bootable Removal Tool (NBRT) (anteriores a 2016.1)

Las actualizaciones de productos de la familia Norton se distribuyen a través de LiveUpdate (que se ejecuta de forma automática de forma regular o bien mediante la ejecución del propio usuario).
Dada la diversidad de productos Symantec afectados se recomienda consultar el propio aviso de la firma de seguridad para obtener la actualización publicada.

Más Vulnerabilidades en Symantec Endpoint Protection Manager

La firma de seguridad ha publicado un segundo aviso de seguridad en el que confirma un total de 12 vulnerabilidades, de muy diversa gravedad, que afectan a Symantec Endpoint Protection Manager y cliente versión 12.1.

Los problemas residen en la consola de administración de SEP y SEPM y podrían permitir a usuarios sin privilegios elevar sus permisos en el sistema o conseguir acceso a información sensible.

Los problemas residen en vulnerabilidades de Cross-site scripting y cross-site request forgery, posibilidad de realizar ataques de fuerza bruta contra la contraseña, redirecciones abiertas o escaladas de directorios. En este caso las vulnerabilidades incluyen los CVE-2016-3647 al CVE-2016-3653, CVE-2016-5304 al CVE-2016-5307 y CVE-2015-8801.

Se recomienda actualizar a Symantec Endpoint Protection Manager 12.1-RU6-MP5 disponible desde Symantec File Connect:


Más información:

Security Advisories Relating to Symantec Products - Symantec Decomposer Engine Multiple Parsing Vulnerabilities

Security Advisories Relating to Symantec Products - Symantec Endpoint Protection Manager Multiple Security Issues

How to Compromise the Enterprise Endpoint

una-al-dia (08/09/2015) Polémicos anuncios de vulnerabilidades en productos Kaspersky y FireEye

una-al-dia (29/09/2015) Múltiples vulnerabilidades en productos Kaspersky

Kaspersky: Mo Unpackers, Mo Problems.

Antonio Ropero
Twitter: @aropero



No hay comentarios:

Publicar un comentario en la entrada